package files

import (
	"os"
	"strings"
)

func MkdirParent(fileLocation string) error {
	fileLocation = strings.ReplaceAll(fileLocation, "\\", "/")
	indexOfSlash := strings.LastIndex(fileLocation, "/")
	if indexOfSlash > 0 {
		parentDirLocation := fileLocation[:indexOfSlash]
		parentDirCreationErr := os.MkdirAll(parentDirLocation, os.ModeDir)

		if parentDirCreationErr != nil {
			return parentDirCreationErr
		}
	}

	return nil
}
